# pollination-sdk
Pollination Server OpenAPI Defintion

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.10.10
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://pollination.cloud](https://pollination.cloud)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pollination_sdk
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pollination_sdk
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import pollination_sdk
from pollination_sdk.rest import ApiException
from pprint import pprint


# Defining host is optional and default to https://api.pollination.cloud
configuration.host = "https://api.pollination.cloud"
# Create an instance of the API class
api_instance = pollination_sdk.UsersApi(pollination_sdk.ApiClient(configuration))
page = 1 # int | Page number starting from 1 (optional) (default to 1)
per_page = 25 # int | Number of items per page (optional) (default to 25)
username = ['username_example'] # list[str] | Username of the user to search for (optional)

try:
    # List Users
    api_response = api_instance.list_users(page=page, per_page=per_page, username=username)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UsersApi->list_users: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.pollination.cloud*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*APITokensApi* | [**create_token**](https://github.com/pollination/python-sdk/blob/master/docs/APITokensApi.md#create_token) | **POST** /tokens | Create a new API token
*APITokensApi* | [**list_tokens**](https://github.com/pollination/python-sdk/blob/master/docs/APITokensApi.md#list_tokens) | **GET** /tokens | List user API tokens
*AccountsApi* | [**get_account**](https://github.com/pollination/python-sdk/blob/master/docs/AccountsApi.md#get_account) | **GET** /accounts/{name} | Get an account by name
*AccountsApi* | [**list_accounts**](https://github.com/pollination/python-sdk/blob/master/docs/AccountsApi.md#list_accounts) | **GET** /accounts | List Accounts on the Pollination platform
*ArtifactsApi* | [**create_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#create_artifact) | **POST** /projects/{owner}/{name}/artifacts | Get an Artifact upload link.
*ArtifactsApi* | [**delete_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#delete_artifact) | **DELETE** /projects/{owner}/{name}/artifacts | Delete one or many artifacts by key/prefix
*ArtifactsApi* | [**download_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#download_artifact) | **GET** /projects/{owner}/{name}/artifacts/download | Download an artifact from the project folder
*ArtifactsApi* | [**list_artifacts**](https://github.com/pollination/python-sdk/blob/master/docs/ArtifactsApi.md#list_artifacts) | **GET** /projects/{owner}/{name}/artifacts | List artifacts in a project folder
*OperatorsApi* | [**create_operator**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#create_operator) | **POST** /operators/{owner} | Create an Operator
*OperatorsApi* | [**create_operator_package**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#create_operator_package) | **POST** /operators/{owner}/{name}/tags | Create a new Operator package
*OperatorsApi* | [**delete_operator**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#delete_operator) | **DELETE** /operators/{owner}/{name} | Delete an Operator
*OperatorsApi* | [**delete_operator_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#delete_operator_org_permission) | **DELETE** /operators/{owner}/{name}/permissions | Remove a Repository permissions
*OperatorsApi* | [**get_operator**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#get_operator) | **GET** /operators/{owner}/{name} | Get an operator
*OperatorsApi* | [**get_operator_access_permissions**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#get_operator_access_permissions) | **GET** /operators/{owner}/{name}/permissions | Get operator access permissions
*OperatorsApi* | [**get_operator_by_tag**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#get_operator_by_tag) | **GET** /operators/{owner}/{name}/tags/{tag} | Get an operator tag
*OperatorsApi* | [**list_operator_tags**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#list_operator_tags) | **GET** /operators/{owner}/{name}/tags | Get an operator tags
*OperatorsApi* | [**list_operators**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#list_operators) | **GET** /operators | List operators
*OperatorsApi* | [**update_operator**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#update_operator) | **PUT** /operators/{owner}/{name} | Update an Operator
*OperatorsApi* | [**upsert_operator_permission**](https://github.com/pollination/python-sdk/blob/master/docs/OperatorsApi.md#upsert_operator_permission) | **PATCH** /operators/{owner}/{name}/permissions | Upsert a new permission to a operator
*OrgsApi* | [**create_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#create_org) | **POST** /orgs | Create an Org
*OrgsApi* | [**delete_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#delete_org) | **DELETE** /orgs/{name} | Delete an Org
*OrgsApi* | [**delete_org_member**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#delete_org_member) | **DELETE** /orgs/{name}/members/{username} | Remove an Org member
*OrgsApi* | [**get_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#get_org) | **GET** /orgs/{name} | Get an Org
*OrgsApi* | [**get_org_members**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#get_org_members) | **GET** /orgs/{name}/members | List organization members
*OrgsApi* | [**list_orgs**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#list_orgs) | **GET** /orgs | List Orgs
*OrgsApi* | [**update_org**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#update_org) | **PUT** /orgs/{name} | Update an Org
*OrgsApi* | [**upsert_org_member**](https://github.com/pollination/python-sdk/blob/master/docs/OrgsApi.md#upsert_org_member) | **PATCH** /orgs/{name}/members/{username}/{role} | Add or update the role of an Org Member
*ProjectsApi* | [**create_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#create_project) | **POST** /projects/{owner} | Create a Project
*ProjectsApi* | [**create_project_recipe_filter**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#create_project_recipe_filter) | **POST** /projects/{owner}/{name}/recipes/filters | Upsert a recipe filter to a project
*ProjectsApi* | [**delete_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#delete_project) | **DELETE** /projects/{owner}/{name} | Delete a Project
*ProjectsApi* | [**delete_project_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#delete_project_org_permission) | **DELETE** /projects/{owner}/{name}/permissions | Remove a Project permissions
*ProjectsApi* | [**delete_project_recipe_filter**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#delete_project_recipe_filter) | **DELETE** /projects/{owner}/{name}/recipes/filters | Remove a Project permissions
*ProjectsApi* | [**get_project**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project) | **GET** /projects/{owner}/{name} | Get a project
*ProjectsApi* | [**get_project_access_permissions**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project_access_permissions) | **GET** /projects/{owner}/{name}/permissions | Get project access permissions
*ProjectsApi* | [**get_project_recipe_filters**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project_recipe_filters) | **GET** /projects/{owner}/{name}/recipes/filters | Get project recipe filters
*ProjectsApi* | [**get_project_recipes**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#get_project_recipes) | **GET** /projects/{owner}/{name}/recipes | Get project recipes
*ProjectsApi* | [**list_projects**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#list_projects) | **GET** /projects | List Projects
*ProjectsApi* | [**update**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#update) | **PUT** /projects/{owner}/{name} | Update a Project
*ProjectsApi* | [**upsert_project_permission**](https://github.com/pollination/python-sdk/blob/master/docs/ProjectsApi.md#upsert_project_permission) | **PATCH** /projects/{owner}/{name}/permissions | Upsert a new permission to a project
*RecipesApi* | [**create_recipe**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#create_recipe) | **POST** /recipes/{owner} | Create a Recipe
*RecipesApi* | [**create_recipe_package**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#create_recipe_package) | **POST** /recipes/{owner}/{name}/tags | Create a new Recipe package
*RecipesApi* | [**delete_recipe**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#delete_recipe) | **DELETE** /recipes/{owner}/{name} | Delete a Recipe
*RecipesApi* | [**delete_recipe_org_permission**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#delete_recipe_org_permission) | **DELETE** /recipes/{owner}/{name}/permissions | Remove a Repository permissions
*RecipesApi* | [**get_recipe**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#get_recipe) | **GET** /recipes/{owner}/{name} | Get a recipe
*RecipesApi* | [**get_recipe_access_permissions**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#get_recipe_access_permissions) | **GET** /recipes/{owner}/{name}/permissions | Get recipe access permissions
*RecipesApi* | [**get_recipe_by_tag**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#get_recipe_by_tag) | **GET** /recipes/{owner}/{name}/tags/{tag} | Get a recipe tag
*RecipesApi* | [**list_recipe_tags**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#list_recipe_tags) | **GET** /recipes/{owner}/{name}/tags | Get a recipe tags
*RecipesApi* | [**list_recipes**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#list_recipes) | **GET** /recipes | List recipes
*RecipesApi* | [**update_recipe**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#update_recipe) | **PUT** /recipes/{owner}/{name} | Update a Recipe
*RecipesApi* | [**upsert_recipe_permission**](https://github.com/pollination/python-sdk/blob/master/docs/RecipesApi.md#upsert_recipe_permission) | **PATCH** /recipes/{owner}/{name}/permissions | Upsert a new permission to a recipe
*RegistriesApi* | [**get_package**](https://github.com/pollination/python-sdk/blob/master/docs/RegistriesApi.md#get_package) | **GET** /registries/{owner}/{type}/{name}/{digest} | Get Package
*RegistriesApi* | [**get_registry_index**](https://github.com/pollination/python-sdk/blob/master/docs/RegistriesApi.md#get_registry_index) | **GET** /registries/{owner}/index.json | Get Registry Index
*RegistriesApi* | [**post_operator**](https://github.com/pollination/python-sdk/blob/master/docs/RegistriesApi.md#post_operator) | **POST** /registries/{owner}/operators | Push an Operator to the registry
*RegistriesApi* | [**post_recipe**](https://github.com/pollination/python-sdk/blob/master/docs/RegistriesApi.md#post_recipe) | **POST** /registries/{owner}/recipes | Push an Recipe to the registry
*SimulationsApi* | [**create_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#create_simulation) | **POST** /projects/{owner}/{name}/simulations | Schedule a simulation
*SimulationsApi* | [**download_simulation_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#download_simulation_artifact) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/artifacts/download | Download an artifact from the simulation folder
*SimulationsApi* | [**get_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation) | **GET** /projects/{owner}/{name}/simulations/{simulation_id} | Get a Simulation
*SimulationsApi* | [**get_simulation_inputs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_inputs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/inputs | Get simulation inputs
*SimulationsApi* | [**get_simulation_logs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_logs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/logs | Get simulation logs
*SimulationsApi* | [**get_simulation_output_artifact**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_output_artifact) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/outputs/artifacts/{artifact_name} | Get simulation output artifact by name
*SimulationsApi* | [**get_simulation_task_logs**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#get_simulation_task_logs) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/task/{task_id}/logs | Get simulation logs
*SimulationsApi* | [**list_simulation_artifacts**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#list_simulation_artifacts) | **GET** /projects/{owner}/{name}/simulations/{simulation_id}/artifacts | List artifacts in a simulation folder
*SimulationsApi* | [**list_simulations**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#list_simulations) | **GET** /projects/{owner}/{name}/simulations | List simulations
*SimulationsApi* | [**resume_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#resume_simulation) | **PUT** /projects/{owner}/{name}/simulations/{simulation_id}/resume | resume a simulation
*SimulationsApi* | [**stop_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#stop_simulation) | **PUT** /projects/{owner}/{name}/simulations/{simulation_id}/stop | Stop a simulation
*SimulationsApi* | [**suspend_simulation**](https://github.com/pollination/python-sdk/blob/master/docs/SimulationsApi.md#suspend_simulation) | **PUT** /projects/{owner}/{name}/simulations/{simulation_id}/suspend | Suspend a simulation
*TeamsApi* | [**create_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#create_team) | **POST** /orgs/{org_name}/teams | Create a Team
*TeamsApi* | [**delete_org_team_member**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#delete_org_team_member) | **DELETE** /orgs/{org_name}/teams/{team_slug}/members/{username} | Remove a team member
*TeamsApi* | [**delete_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#delete_team) | **DELETE** /orgs/{org_name}/teams/{team_slug} | Delete a Team
*TeamsApi* | [**get_org_team_members**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#get_org_team_members) | **GET** /orgs/{org_name}/teams/{team_slug}/members | List team members
*TeamsApi* | [**get_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#get_team) | **GET** /orgs/{org_name}/teams/{team_slug} | Get a Team
*TeamsApi* | [**list_org_teams**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#list_org_teams) | **GET** /orgs/{org_name}/teams | List Teams
*TeamsApi* | [**update_team**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#update_team) | **PUT** /orgs/{org_name}/teams/{team_slug} | Update a Team
*TeamsApi* | [**upsert_org_team_member**](https://github.com/pollination/python-sdk/blob/master/docs/TeamsApi.md#upsert_org_team_member) | **PATCH** /orgs/{org_name}/teams/{team_slug}/members/{username}/{role} | Add or update the role of an Team Member
*UserApi* | [**get_me**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#get_me) | **GET** /user | Get authenticated user profile.
*UserApi* | [**get_roles**](https://github.com/pollination/python-sdk/blob/master/docs/UserApi.md#get_roles) | **GET** /user/roles | Get the authenticated user roles
*UsersApi* | [**check_username**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#check_username) | **GET** /users/check_username/{username} | Check if a username is already taken
*UsersApi* | [**get_one_user**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#get_one_user) | **GET** /users/{name} | Get a specific user profile
*UsersApi* | [**list_users**](https://github.com/pollination/python-sdk/blob/master/docs/UsersApi.md#list_users) | **GET** /users | List Users


## Documentation For Models

 - [APIToken](https://github.com/pollination/python-sdk/blob/master/docs/APIToken.md)
 - [APITokenCreate](https://github.com/pollination/python-sdk/blob/master/docs/APITokenCreate.md)
 - [APITokenList](https://github.com/pollination/python-sdk/blob/master/docs/APITokenList.md)
 - [APITokenPrivate](https://github.com/pollination/python-sdk/blob/master/docs/APITokenPrivate.md)
 - [Accepted](https://github.com/pollination/python-sdk/blob/master/docs/Accepted.md)
 - [AccountPublic](https://github.com/pollination/python-sdk/blob/master/docs/AccountPublic.md)
 - [ArgumentArtifact](https://github.com/pollination/python-sdk/blob/master/docs/ArgumentArtifact.md)
 - [ArgumentParameter](https://github.com/pollination/python-sdk/blob/master/docs/ArgumentParameter.md)
 - [Arguments](https://github.com/pollination/python-sdk/blob/master/docs/Arguments.md)
 - [BodyPostOperatorRegistriesOwnerOperatorsPost](https://github.com/pollination/python-sdk/blob/master/docs/BodyPostOperatorRegistriesOwnerOperatorsPost.md)
 - [BodyPostRecipeRegistriesOwnerRecipesPost](https://github.com/pollination/python-sdk/blob/master/docs/BodyPostRecipeRegistriesOwnerRecipesPost.md)
 - [Config](https://github.com/pollination/python-sdk/blob/master/docs/Config.md)
 - [CreatedContent](https://github.com/pollination/python-sdk/blob/master/docs/CreatedContent.md)
 - [DAG](https://github.com/pollination/python-sdk/blob/master/docs/DAG.md)
 - [DAGInputArtifact](https://github.com/pollination/python-sdk/blob/master/docs/DAGInputArtifact.md)
 - [DAGInputParameter](https://github.com/pollination/python-sdk/blob/master/docs/DAGInputParameter.md)
 - [DAGInputs](https://github.com/pollination/python-sdk/blob/master/docs/DAGInputs.md)
 - [DAGOutputArtifact](https://github.com/pollination/python-sdk/blob/master/docs/DAGOutputArtifact.md)
 - [DAGOutputParameter](https://github.com/pollination/python-sdk/blob/master/docs/DAGOutputParameter.md)
 - [DAGOutputs](https://github.com/pollination/python-sdk/blob/master/docs/DAGOutputs.md)
 - [DAGTask](https://github.com/pollination/python-sdk/blob/master/docs/DAGTask.md)
 - [DAGTaskArgument](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskArgument.md)
 - [DAGTaskArtifactArgument](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskArtifactArgument.md)
 - [DAGTaskLoop](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskLoop.md)
 - [DAGTaskOutputArtifact](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskOutputArtifact.md)
 - [DAGTaskOutputParameter](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskOutputParameter.md)
 - [DAGTaskOutputs](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskOutputs.md)
 - [DAGTaskParameterArgument](https://github.com/pollination/python-sdk/blob/master/docs/DAGTaskParameterArgument.md)
 - [Dependency](https://github.com/pollination/python-sdk/blob/master/docs/Dependency.md)
 - [DependencyType](https://github.com/pollination/python-sdk/blob/master/docs/DependencyType.md)
 - [DockerConfig](https://github.com/pollination/python-sdk/blob/master/docs/DockerConfig.md)
 - [FileMeta](https://github.com/pollination/python-sdk/blob/master/docs/FileMeta.md)
 - [FolderArtifactReference](https://github.com/pollination/python-sdk/blob/master/docs/FolderArtifactReference.md)
 - [FolderReference](https://github.com/pollination/python-sdk/blob/master/docs/FolderReference.md)
 - [Function](https://github.com/pollination/python-sdk/blob/master/docs/Function.md)
 - [FunctionArtifact](https://github.com/pollination/python-sdk/blob/master/docs/FunctionArtifact.md)
 - [FunctionInputs](https://github.com/pollination/python-sdk/blob/master/docs/FunctionInputs.md)
 - [FunctionOutputs](https://github.com/pollination/python-sdk/blob/master/docs/FunctionOutputs.md)
 - [FunctionParameterIn](https://github.com/pollination/python-sdk/blob/master/docs/FunctionParameterIn.md)
 - [FunctionParameterOut](https://github.com/pollination/python-sdk/blob/master/docs/FunctionParameterOut.md)
 - [HTTPSource](https://github.com/pollination/python-sdk/blob/master/docs/HTTPSource.md)
 - [HTTPValidationError](https://github.com/pollination/python-sdk/blob/master/docs/HTTPValidationError.md)
 - [InputArtifactReference](https://github.com/pollination/python-sdk/blob/master/docs/InputArtifactReference.md)
 - [InputParameterReference](https://github.com/pollination/python-sdk/blob/master/docs/InputParameterReference.md)
 - [InputReference](https://github.com/pollination/python-sdk/blob/master/docs/InputReference.md)
 - [ItemParameterReference](https://github.com/pollination/python-sdk/blob/master/docs/ItemParameterReference.md)
 - [ItemReference](https://github.com/pollination/python-sdk/blob/master/docs/ItemReference.md)
 - [KeyRequest](https://github.com/pollination/python-sdk/blob/master/docs/KeyRequest.md)
 - [License](https://github.com/pollination/python-sdk/blob/master/docs/License.md)
 - [Maintainer](https://github.com/pollination/python-sdk/blob/master/docs/Maintainer.md)
 - [MetaData](https://github.com/pollination/python-sdk/blob/master/docs/MetaData.md)
 - [NewOperatorPackage](https://github.com/pollination/python-sdk/blob/master/docs/NewOperatorPackage.md)
 - [NewRecipePackage](https://github.com/pollination/python-sdk/blob/master/docs/NewRecipePackage.md)
 - [Operator](https://github.com/pollination/python-sdk/blob/master/docs/Operator.md)
 - [OperatorPackage](https://github.com/pollination/python-sdk/blob/master/docs/OperatorPackage.md)
 - [Organization](https://github.com/pollination/python-sdk/blob/master/docs/Organization.md)
 - [OrganizationCreate](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationCreate.md)
 - [OrganizationList](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationList.md)
 - [OrganizationMember](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationMember.md)
 - [OrganizationMemberList](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationMemberList.md)
 - [OrganizationRoleEnum](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationRoleEnum.md)
 - [OrganizationUpdate](https://github.com/pollination/python-sdk/blob/master/docs/OrganizationUpdate.md)
 - [PackageVersion](https://github.com/pollination/python-sdk/blob/master/docs/PackageVersion.md)
 - [Permission](https://github.com/pollination/python-sdk/blob/master/docs/Permission.md)
 - [PolicySubject](https://github.com/pollination/python-sdk/blob/master/docs/PolicySubject.md)
 - [Project](https://github.com/pollination/python-sdk/blob/master/docs/Project.md)
 - [ProjectAccessPolicy](https://github.com/pollination/python-sdk/blob/master/docs/ProjectAccessPolicy.md)
 - [ProjectAccessPolicyList](https://github.com/pollination/python-sdk/blob/master/docs/ProjectAccessPolicyList.md)
 - [ProjectCreate](https://github.com/pollination/python-sdk/blob/master/docs/ProjectCreate.md)
 - [ProjectFolderSource](https://github.com/pollination/python-sdk/blob/master/docs/ProjectFolderSource.md)
 - [ProjectList](https://github.com/pollination/python-sdk/blob/master/docs/ProjectList.md)
 - [ProjectPolicySubject](https://github.com/pollination/python-sdk/blob/master/docs/ProjectPolicySubject.md)
 - [ProjectRecipeFilter](https://github.com/pollination/python-sdk/blob/master/docs/ProjectRecipeFilter.md)
 - [ProjectRecipeFilterList](https://github.com/pollination/python-sdk/blob/master/docs/ProjectRecipeFilterList.md)
 - [ProjectUpdate](https://github.com/pollination/python-sdk/blob/master/docs/ProjectUpdate.md)
 - [ProjectUserPermissions](https://github.com/pollination/python-sdk/blob/master/docs/ProjectUserPermissions.md)
 - [PublicAccountList](https://github.com/pollination/python-sdk/blob/master/docs/PublicAccountList.md)
 - [Recipe](https://github.com/pollination/python-sdk/blob/master/docs/Recipe.md)
 - [RecipePackage](https://github.com/pollination/python-sdk/blob/master/docs/RecipePackage.md)
 - [RecipeSelection](https://github.com/pollination/python-sdk/blob/master/docs/RecipeSelection.md)
 - [Repository](https://github.com/pollination/python-sdk/blob/master/docs/Repository.md)
 - [RepositoryAccessPolicy](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryAccessPolicy.md)
 - [RepositoryAccessPolicyList](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryAccessPolicyList.md)
 - [RepositoryCreate](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryCreate.md)
 - [RepositoryIndex](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryIndex.md)
 - [RepositoryList](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryList.md)
 - [RepositoryMetadata](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryMetadata.md)
 - [RepositoryPackageAbriged](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryPackageAbriged.md)
 - [RepositoryPackageList](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryPackageList.md)
 - [RepositoryPolicySubject](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryPolicySubject.md)
 - [RepositoryUpdate](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryUpdate.md)
 - [RepositoryUserPermissions](https://github.com/pollination/python-sdk/blob/master/docs/RepositoryUserPermissions.md)
 - [S3Source](https://github.com/pollination/python-sdk/blob/master/docs/S3Source.md)
 - [S3UploadRequest](https://github.com/pollination/python-sdk/blob/master/docs/S3UploadRequest.md)
 - [Simulation](https://github.com/pollination/python-sdk/blob/master/docs/Simulation.md)
 - [SimulationInputArtifact](https://github.com/pollination/python-sdk/blob/master/docs/SimulationInputArtifact.md)
 - [SimulationInputParameter](https://github.com/pollination/python-sdk/blob/master/docs/SimulationInputParameter.md)
 - [SimulationInputs](https://github.com/pollination/python-sdk/blob/master/docs/SimulationInputs.md)
 - [SimulationList](https://github.com/pollination/python-sdk/blob/master/docs/SimulationList.md)
 - [SimulationOutputSource](https://github.com/pollination/python-sdk/blob/master/docs/SimulationOutputSource.md)
 - [StatusType](https://github.com/pollination/python-sdk/blob/master/docs/StatusType.md)
 - [SubjectType](https://github.com/pollination/python-sdk/blob/master/docs/SubjectType.md)
 - [SubmitSimulation](https://github.com/pollination/python-sdk/blob/master/docs/SubmitSimulation.md)
 - [TaskArtifactReference](https://github.com/pollination/python-sdk/blob/master/docs/TaskArtifactReference.md)
 - [TaskParameterReference](https://github.com/pollination/python-sdk/blob/master/docs/TaskParameterReference.md)
 - [TaskReference](https://github.com/pollination/python-sdk/blob/master/docs/TaskReference.md)
 - [TaskStatus](https://github.com/pollination/python-sdk/blob/master/docs/TaskStatus.md)
 - [Team](https://github.com/pollination/python-sdk/blob/master/docs/Team.md)
 - [TeamCreate](https://github.com/pollination/python-sdk/blob/master/docs/TeamCreate.md)
 - [TeamList](https://github.com/pollination/python-sdk/blob/master/docs/TeamList.md)
 - [TeamMember](https://github.com/pollination/python-sdk/blob/master/docs/TeamMember.md)
 - [TeamMemberList](https://github.com/pollination/python-sdk/blob/master/docs/TeamMemberList.md)
 - [TeamRoleEnum](https://github.com/pollination/python-sdk/blob/master/docs/TeamRoleEnum.md)
 - [TeamUpdate](https://github.com/pollination/python-sdk/blob/master/docs/TeamUpdate.md)
 - [UpdateAccepted](https://github.com/pollination/python-sdk/blob/master/docs/UpdateAccepted.md)
 - [UserMetadata](https://github.com/pollination/python-sdk/blob/master/docs/UserMetadata.md)
 - [UserPrivate](https://github.com/pollination/python-sdk/blob/master/docs/UserPrivate.md)
 - [UserPublic](https://github.com/pollination/python-sdk/blob/master/docs/UserPublic.md)
 - [UserPublicList](https://github.com/pollination/python-sdk/blob/master/docs/UserPublicList.md)
 - [ValidationError](https://github.com/pollination/python-sdk/blob/master/docs/ValidationError.md)
 - [WorkflowStatus](https://github.com/pollination/python-sdk/blob/master/docs/WorkflowStatus.md)


## Documentation For Authorization


## APIKeyAuth

- **Type**: API key
- **API key parameter name**: x-pollination-token
- **Location**: HTTP header


## JWTAuth

- **Type**: Bearer authentication


## Author

info@pollination.cloud


